Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.WebSite.Library.BLCommon

Partial Class Visitors_ChoiceDetail
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Choice Detail")
        Dim choiceID As Integer

		If Not Page.IsPostBack Then
			If Request.QueryString(QueryStringName.ChoiceID) IsNot Nothing Then
				choiceID = CType(Request.QueryString(QueryStringName.ChoiceID), Integer)

        ltrContent.Text = ContentManager.Instance.GetContent("ChoiceDetail:Body", choiceID, OwnerType.Feature)

				If ltrContent.Text = String.Empty Then
          ltrContent.Text = String.Format("ControlID - ChoiceDetail:Body; OwnerID - {0}; OwnerTypeID - {1}", choiceID, OwnerType.Feature)
				End If
			End If
		End If
	End Sub
End Class
